From b606eddbe8605c230330b462e1c2d2c24021145f Mon Sep 17 00:00:00 2001
From: Patrick Baudin <patrick.baudin@cea.fr>
Date: Thu, 25 Aug 2022 14:01:40 +0200
Subject: [PATCH] fixes GIT pre-commit hook

---
 dev/git-hooks/pre-commit.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/dev/git-hooks/pre-commit.sh b/dev/git-hooks/pre-commit.sh
index 4eaa0428ca6..3f376ce71e3 100755
--- a/dev/git-hooks/pre-commit.sh
+++ b/dev/git-hooks/pre-commit.sh
@@ -41,6 +41,6 @@ if [ "$?" != "0" ]; then
     echo "         They will be verified only for a 'git commit -a' command."
 fi
 
-# Verifies the current version of files
-make lint.before-commit-a
-make check-headers.before-commit-a
+# Verifies the current version of the files
+make lint.before-commit-a || exit 1
+make check-headers.before-commit-a || exit 1
-- 
GitLab